Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.soap
Interface SOAPHeaderBase

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, WSDLElement

All Known Subinterfaces:
  SOAPHeader, SOAPHeaderFault

    public interface SOAPHeaderBase

extends ExtensibilityElement

A representation of the model object 'Header Base'.

The following features are supported:

- `Use`
- `Namespace URI`
- `EEncoding Styles`
- `Message`
- `Part`
- `EMessage`
- `EPart`

See Also:
  `SOAPPackage.getSOAPHeaderBase()`

Method Summary
`EList` | `getEEncodingStyles()` Returns the value of the 'EEncoding Styles' attribute list.
`Message` | `getEMessage()` Returns the value of the 'EMessage' reference
`java.util.List` | `getEncodingStyles()`
`Part` | `getEPart()` Returns the value of the 'EPart' reference
`javax.xml.namespace.QName` | `getMessage()` Returns the value of the 'Message' attribute
`java.lang.String` | `getNamespaceURI()` Returns the value of the 'Namespace URI' attribute
`java.lang.String` | `getPart()` Returns the value of the 'Part' attribute
`java.lang.String` | `getUse()` Returns the value of the 'Use' attribute
`void` | `setEMessage(Message value)` Sets the value of the '`EMessage`' reference
`void` | `setEncodingStyles(java.util.List encodingStyles)`
`void` | `setEPart(Part value)` Sets the value of the '`EPart`' reference
`void` | `setMessage(javax.xml.namespace.QName value)` Sets the value of the '`Message`' attribute
`void` | `setNamespaceURI(java.lang.String value)` Sets the value of the '`Namespace URI`' attribute
`void` | `setPart(java.lang.String value)` Sets the value of the '`Part`' attribute
`void` | `setUse(java.lang.String value)` Sets the value of the '`Use`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getUse

    java.lang.String getUse()

  Returns the value of the 'Use' attribute.

  If the meaning of the 'Use' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Use' attribute.
  See Also:
    `setUse(String)`, `SOAPPackage.getSOAPHeaderBase_Use()`

### setUse

    void setUse(java.lang.String value)

  Sets the value of the '`Use`' attribute.

  Parameters:
    `value` - the new value of the 'Use' attribute.
  See Also:
    `getUse()`

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Returns the value of the 'Namespace URI' attribute.

  If the meaning of the 'Namespace URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Namespace URI' attribute.
  See Also:
    `setNamespaceURI(String)`, `SOAPPackage.getSOAPHeaderBase_NamespaceURI()`

### setNamespaceURI

    void setNamespaceURI(java.lang.String value)

  Sets the value of the '`Namespace URI`' attribute.

  Parameters:
    `value` - the new value of the 'Namespace URI' attribute.
  See Also:
    `getNamespaceURI()`

### getEEncodingStyles

    EList getEEncodingStyles()

  Returns the value of the 'EEncoding Styles' attribute list. The list contents are of type `String`.

  If the meaning of the 'EEncoding Styles' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EEncoding Styles' attribute list.
  See Also:
    `SOAPPackage.getSOAPHeaderBase_EEncodingStyles()`

### getEMessage

    Message getEMessage()

  Returns the value of the 'EMessage' reference.

  If the meaning of the 'EMessage' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EMessage' reference.
  See Also:
    `setEMessage(Message)`, `SOAPPackage.getSOAPHeaderBase_EMessage()`

### setEMessage

    void setEMessage(Message value)

  Sets the value of the '`EMessage`' reference.

  Parameters:
    `value` - the new value of the 'EMessage' reference.
  See Also:
    `getEMessage()`

### getEPart

    Part getEPart()

  Returns the value of the 'EPart' reference.

  If the meaning of the 'EPart' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EPart' reference.
  See Also:
    `setEPart(Part)`, `SOAPPackage.getSOAPHeaderBase_EPart()`

### setEPart

    void setEPart(Part value)

  Sets the value of the '`EPart`' reference.

  Parameters:
    `value` - the new value of the 'EPart' reference.
  See Also:
    `getEPart()`

### getMessage

    javax.xml.namespace.QName getMessage()

  Returns the value of the 'Message' attribute.

  Returns:
    the value of the 'Message' attribute.
  See Also:
    `setMessage(QName)`, `SOAPPackage.getSOAPHeaderBase_Message()`

### setMessage

    void setMessage(javax.xml.namespace.QName value)

  Sets the value of the '`Message`' attribute.

  Parameters:
    `value` - the new value of the 'Message' attribute.
  See Also:
    `getMessage()`

### getPart

    java.lang.String getPart()

  Returns the value of the 'Part' attribute.

  Returns:
    the value of the 'Part' attribute.
  See Also:
    `setPart(String)`, `SOAPPackage.getSOAPHeaderBase_Part()`

### setPart

    void setPart(java.lang.String value)

  Sets the value of the '`Part`' attribute.

  Parameters:
    `value` - the new value of the 'Part' attribute.
  See Also:
    `getPart()`

### getEncodingStyles

    java.util.List getEncodingStyles()

### setEncodingStyles

    void setEncodingStyles(java.util.List encodingStyles)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD